searchNodes=[{"ref":"BtrzHealthchecker.html","title":"BtrzHealthchecker","type":"module","doc":"BtrzHealthchecker main module. Used to get the information about the desired services passed as Checkers."},{"ref":"BtrzHealthchecker.html#info/0","title":"BtrzHealthchecker.info/0","type":"function","doc":"Returns the Info struct with the status of the desired services. Examples iex&gt; my_connection_opts = [hostname: &quot;localhost&quot;, username: &quot;postgres&quot;, password: &quot;mypass&quot;, database: &quot;mydb&quot;] iex&gt; BtrzHealthchecker.info([%{checker_module: BtrzHealthchecker.Checkers.Postgres, opts: my_connection_opts}]) %BtrzHealthchecker.Info{build: &quot;d3b3f9133f68b8877347e06b3d7285dd1d5d3921&quot;, commit: &quot;3d7285dd1d5d3921d3b3f9133f68b8877347e06b&quot;, instanceId: &quot;i-b3f9133f68b88&quot;, services: [%{name: &quot;postgres&quot;, status: 200}], status: 200} Or without any service iex&gt; BtrzHealthchecker.info() %BtrzHealthchecker.Info{build: &quot;d3b3f9133f68b8877347e06b3d7285dd1d5d3921&quot;, commit: &quot;3d7285dd1d5d3921d3b3f9133f68b8877347e06b&quot;, instanceId: &quot;i-b3f9133f68b88&quot;, services: [], status: 200}"},{"ref":"BtrzHealthchecker.html#info/1","title":"BtrzHealthchecker.info/1","type":"function","doc":""},{"ref":"BtrzHealthchecker.html#t:checker/0","title":"BtrzHealthchecker.checker/0","type":"type","doc":"A checker that implements the Checker behaviour"},{"ref":"BtrzHealthchecker.Checker.html","title":"BtrzHealthchecker.Checker","type":"behaviour","doc":"BtrzHealthchecker.Checker defines the behaviour of a service checker"},{"ref":"BtrzHealthchecker.Checker.html#c:check_status/1","title":"BtrzHealthchecker.Checker.check_status/1","type":"callback","doc":""},{"ref":"BtrzHealthchecker.Checker.html#c:name/0","title":"BtrzHealthchecker.Checker.name/0","type":"callback","doc":""},{"ref":"BtrzHealthchecker.Checkers.Postgres.html","title":"BtrzHealthchecker.Checkers.Postgres","type":"module","doc":"Defines the Postgres status checker."},{"ref":"BtrzHealthchecker.Checkers.Postgres.html#check_status/1","title":"BtrzHealthchecker.Checkers.Postgres.check_status/1","type":"function","doc":"Returns the status of the postgres service querying by all the tables of the catalog Returns 200 if the conection is reachable and the check query can be executed. Returns 500 in case of Postgrex.Error or other like ArgumentError, DBConnection.ConnectionError, DBConnection.OwnershipError or RuntimeError. Examples iex&gt; BtrzHealthchecker.Checkers.Postgres.check_status(opts) 200 iex&gt; BtrzHealthchecker.Checkers.Postgres.check_status(bad_opts) 500"},{"ref":"BtrzHealthchecker.Checkers.Postgres.html#name/0","title":"BtrzHealthchecker.Checkers.Postgres.name/0","type":"function","doc":"Returns the name of the service Returns &quot;postgres&quot;."},{"ref":"BtrzHealthchecker.Checkers.Redis.html","title":"BtrzHealthchecker.Checkers.Redis","type":"module","doc":"Defines the Redis status checker."},{"ref":"BtrzHealthchecker.Checkers.Redis.html#check_status/1","title":"BtrzHealthchecker.Checkers.Redis.check_status/1","type":"function","doc":"Returns the status of the redis service sending the &quot;PING&quot; command Returns 200 if the conection is reachable and the command returns PONG. Returns 500 if PONG is not returned or the command! function raises. Examples iex&gt; BtrzHealthchecker.Checkers.Redis.check_status(opts) 200 iex&gt; BtrzHealthchecker.Checkers.Redis.check_status(bad_opts) 500"},{"ref":"BtrzHealthchecker.Checkers.Redis.html#name/0","title":"BtrzHealthchecker.Checkers.Redis.name/0","type":"function","doc":"Returns the name of the service Returns &quot;redis&quot;."},{"ref":"BtrzHealthchecker.EnvironmentInfo.html","title":"BtrzHealthchecker.EnvironmentInfo","type":"module","doc":"Defines the interface to get the environment variables."},{"ref":"BtrzHealthchecker.EnvironmentInfo.html#build_number/0","title":"BtrzHealthchecker.EnvironmentInfo.build_number/0","type":"function","doc":"Callback implementation for c:BtrzHealthchecker.EnvironmentInfoApi.build_number/0."},{"ref":"BtrzHealthchecker.EnvironmentInfo.html#ec2_instance_id/0","title":"BtrzHealthchecker.EnvironmentInfo.ec2_instance_id/0","type":"function","doc":"Callback implementation for c:BtrzHealthchecker.EnvironmentInfoApi.ec2_instance_id/0."},{"ref":"BtrzHealthchecker.EnvironmentInfo.html#git_revision_hash/0","title":"BtrzHealthchecker.EnvironmentInfo.git_revision_hash/0","type":"function","doc":"Callback implementation for c:BtrzHealthchecker.EnvironmentInfoApi.git_revision_hash/0."},{"ref":"BtrzHealthchecker.Info.html","title":"BtrzHealthchecker.Info","type":"module","doc":"Defines the BtrzHealthchecker Info struct."},{"ref":"BtrzHealthchecker.Info.html#t:service_status/0","title":"BtrzHealthchecker.Info.service_status/0","type":"type","doc":"an individual service status"},{"ref":"BtrzHealthchecker.Info.html#t:t/0","title":"BtrzHealthchecker.Info.t/0","type":"type","doc":""}]